Skip to main content
GET
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
Get an MCP server by ID
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "fqn": "my-tenant:mcp-server:filesystem-tools",
    "tenantName": "<string>",
    "manifest": {
      "type": "mcp-server/remote",
      "name": "<string>",
      "description": "<string>",
      "url": "<string>",
      "collaborators": [
        {
          "subject": "<string>",
          "role_id": "<string>"
        }
      ],
      "tls_settings": {
        "reject_unauthorized": true,
        "ca_cert": "<string>"
      },
      "tool_settings": [
        {
          "name": "<string>",
          "description": "<string>",
          "disabled": true,
          "annotations": {
            "readOnlyHint": true,
            "destructiveHint": true
          }
        }
      ],
      "auth_data": {
        "type": "header",
        "headers": {},
        "auth_level": "global"
      },
      "ownedBy": {
        "account": "<string>"
      },
      "additional_headers": {},
      "tags": {}
    },
    "createdBySubject": {
      "subjectId": "<string>",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>",
      "subjectPatName": "<string>",
      "subjectControllerName": "<string>",
      "subjectExternalIdentitySlug": "<string>"
    },
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "proxyUrl": "<string>",
    "isAuthOverrideSupported": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Query Parameters

resolveTools
boolean | null
default:false

Resolve tools for the MCP server. Only applies to server types that persist tools (e.g. OpenAPIMCPServer). Defaults to false.

Response

The MCP server.

data
MCPServerV2 · object
required

The MCP server data.